package com.jpattern.orm;

import org.springframework.jdbc.core.JdbcTemplate;

import com.jpattern.orm.dialect.DefaultDialect;
import com.jpattern.orm.dialect.IDialect;
import com.jpattern.orm.session.ISessionTemplate;
import com.jpattern.orm.session.jdbctemplate.JdbcTemplateSessionProvider;
import com.jpattern.orm.session.jdbctemplate.NullPlatformTransactionManager;

/**
 * 
 * @author Francesco Cina
 *
 * 21/mag/2011
 */
public class JPOrmTemplate extends AJPOrmBase implements IJPOrmTemplate {

	/**
	 * 
	 */
	

	public JPOrmTemplate(JdbcTemplate jdbcTemplate) {
		this(jdbcTemplate, new DefaultDialect());
	}
	
	public JPOrmTemplate(JdbcTemplate jdbcTemplate, IDialect dialect) {
		super(new JdbcTemplateSessionProvider( jdbcTemplate , new NullPlatformTransactionManager() ) , dialect);
	}

	@Override
	public ISessionTemplate session() {
		return getSession();
	}

}
