package com.jpattern.orm.session;


import com.jpattern.orm.exception.OrmException;

/**
 * 
 * @author Francesco Cina
 *
 * 21/mag/2011
 * 
 */
public interface ISession extends ISessionTemplate {
	
	/**
	 * Open a new Transaction. The isolation level depends on the specific jdbc driver implementation.
	 * @return
	 * @throws OrmException
	 */
	ITransaction beginTransaction() throws OrmException;
	
	/**
	 * Open a new Transaction with a specific isolation level
	 * @return
	 * @throws OrmException
	 */
	ITransaction beginTransaction(TransactionIsolation transactionIsolation) throws OrmException;

	/**
	 * Close the current session and release the connection to the database.
	 */
	void close() throws OrmException;

}
